# Uses of Interface
java.lang.classfile.instruction.FieldInstruction

Packages that use FieldInstruction
Package
Description
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

## Uses of FieldInstruction in java.lang.classfile.instruction

Methods in java.lang.classfile.instruction that return FieldInstruction
Modifier and Type
Method
Description
`static FieldInstruction`
FieldInstruction.`of(Opcode op, ClassEntry owner, NameAndTypeEntry nameAndType)`
Returns a field access instruction.
`static FieldInstruction`
FieldInstruction.`of(Opcode op, ClassEntry owner, Utf8Entry name, Utf8Entry type)`
Returns a field access instruction.
`static FieldInstruction`
FieldInstruction.`of(Opcode op, FieldRefEntry field)`
Returns a field access instruction.